Subject: a question of the “wc” program

From: JameDam <[email-masked]>
Date: Tue, 06 Oct 2015 18:49:30 +0800

I have a file which is named “-l”, and I use the wc to count the file, undesirably wc requested the standard input rather than my file "-l" ,although I use it through the command

wc -lw -l

it didn't work as my will, however, linux itself do not limit this kind of name style, but wc does, so unreasonable, such as my above command actually doesn't cause a ambiguity, so can you improve it ? try to check whether those files exist by the args from arg[2] atleast,not ignore those arguments.

expect your reply.:)

Cheers,

JameDam